%define soname  19
%define libname libgal%{soname}

Name: gal
Version: 0.19
Release: 5
Summary: The GNOME Application Library
Group: System Environment/Libraries
Epoch: 1
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.ximian.com/devzone/
Source0: ftp://ftp.gnome.org/pub/gnome/unstable/sources/%{name}/%{name}-%{version}.tar.bz2

BuildRequires: libxml-devel
BuildRequires: libglade-devel >= 0.13
BuildRequires: gnome-vfs-devel
BuildRequires: gnome-print-devel >= 0.22
BuildRequires: gtk+-devel >= 1.2.7

%description
A collection of GNOME widgets and utility functions.

%package -n gal-devel
Summary: Development files for the GNOME Applications library
Group: Development/Libraries
Requires: %name = %{PACKAGE_VERSION}, %{libname}

%description -n gal-devel
Development files for the GNOME Applications library

%package -n %{libname}
Summary: The GNOME Application Library
Group: System Environment/Libraries
Requires: %{name} >= %{version}

%description -n %{libname}
A collection of GNOME widgets and utility functions.

%prep
%setup -q

%build
%define __libtoolize /bin/true
cp %{_datadir}/libtool/config.{guess,sub} .
%configure
make

%install
%makeinstall

%find_lang %name

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_datadir}/pixmaps/gal

%files -n gal-devel
%defattr(-, root, root)
%{_libdir}/*so
%{_libdir}/*a
%{_libdir}/*Conf.sh
%{_includedir}/*

%files -n %{libname}
%defattr(-, root, root)
%{_datadir}/etable
%{_datadir}/gal
%{_libdir}/libgal.so.%{soname}
%{_libdir}/libgal.so.*.*

%changelog
* Fri Jan 25 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide
- fix a /usr/share -> datadir issue

* Sun Jan 13 2002 Jeremy Katz <katzj@redhat.com>
- include translations (#58291) and other non-included files

* Sat Jan 12 2002 Jeremy Katz <katzj@redhat.com>
- 0.19

* Sat Nov 17 2001 Jeremy Katz <katzj@redhat.com>
- 0.18.1

* Mon Nov  5 2001 Jeremy Katz <katzj@redhat.com>
- 0.18

* Fri Oct 19 2001 Matt Wilson <msw@redhat.com>
- 0.15

* Thu Oct  4 2001 Havoc Pennington <hp@redhat.com>
- 0.13
- add libgal.so.13.0.0 to file list

* Tue Jul 24 2001 Alexander Larsson <alexl@redhat.com>
- Fix libgal-broken.patch to not link libgal.so to -lgal.

* Fri Jul 13 2001 Alexander Larsson <alexl@redhat.com>
- Add build requirements.

* Wed Jun 13 2001 Bill Nottingham <notting@redhat.com>
- fix .la buildroot dainbramage
- fix library dependency dainbramage

* Tue Jun 12 2001 Bill Nottingham <notting@redhat.com>
- gal-devel requires libgal7 (otherwise libgal.so symlink is dangling)
- fix gnomeprint requirement

* Fri Jun  8 2001 Jonathan Blandford <jrb@redhat.com>
- New version
- Upgrade library

* Thu Mar 01 2001 Owen Taylor <otaylor@redhat.com>
- Rebuild for GTK+-1.2.9 include paths

* Fri Dec 29 2000 Matt Wilson <msw@redhat.com>
- de-helixify spec file
- fix vendor/distribution
